Subject: [Simple] Transaction Layer doubt

From: Sudipta Ghosh <[email-masked]>
Date: Thu, 26 Dec 2002 10:07:58 +0530

Hi,
I have one doubt regarding Transaction Layer.
According to SIP RFC 3261.

Transaction Layer retransmits sip request if it doesnt get the response
for that method.
The rule of re-transmission is given in RFC.
After certain time Transaction Layer will inform the Transaction
User(TU) about timeout.

Now my question are.

1.A UAC will retransmit a request to proxy if it didnt get the response.
Proxy will retransmit the request to UAS.
(If the UAS is in the same domian)
In proxy retransmission of request will be made form its Transaction
Layer but proxy will receive the same request
from UAC.
What Proxy will do when it gets same request from UAC?
Why retransmission of request is also included in PROXY?(UAC retransmits
a request if it doesnt get the response)

2.I have noticed that MSN Messenger doesnt retransmit MESSAGE request
when it doesn't get the response.
This is the case when I am sending a MESSAGE to offline user.In this
case MSN tells about the failure of message delivery.

sudipta
--
***********************************************
System Executive
Scicom Infotech Pvt. Ltd. (Scicom)
A - 67, Sector - 57
Noida - 201 301
UP
**********************************************

_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple